<?php

return [

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de usuários
    |--------------------------------------------------------------------------
    */
    'users' => [
        'title'       => 'Usuários',
        'description' => 'Cadastro de usuários',

        'route' => [
            'url'        => 'usuarios',
            'name'       => 'users',
            'controller' => 'UsersController',
        ],

        'files' => [
            'User'                            => ['stub' => 'model.stub',          'path' => 'app/Models',                    'extension' => '.php'],
            'UserRepository'                  => ['stub' => 'repository.stub',     'path' => 'app/Repositories',              'extension' => '.php'],
            'UsersController'                 => ['stub' => 'controller.stub',     'path' => 'app/Http/Controllers/Manager',  'extension' => '.php'],
            'UserStoreRequest'                => ['stub' => 'request-store.stub',  'path' => 'app/Http/Requests',             'extension' => '.php'],
            'UserUpdateRequest'               => ['stub' => 'request-update.stub', 'path' => 'app/Http/Requests',             'extension' => '.php'],
            'index.blade'                     => ['stub' => 'view-index.stub',     'path' => 'resources/views/manager/users', 'extension' => '.php'],
            'create.blade'                    => ['stub' => 'view-create.stub',    'path' => 'resources/views/manager/users', 'extension' => '.php'],
            'edit.blade'                      => ['stub' => 'view-edit.stub',      'path' => 'resources/views/manager/users', 'extension' => '.php'],
            'fields.blade'                    => ['stub' => 'view-fields.stub',    'path' => 'resources/views/manager/users', 'extension' => '.php'],
            '{{datetime}}_create_users_table' => ['stub' => 'migration.stub',      'path' => 'database/migrations',           'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para gerar cadastro de downloads
    |--------------------------------------------------------------------------
    */
    'downloads' => [
        'title'       => 'Downloads',
        'description' => 'Cadastro de downloads',

        'route' => [
            'url'        => 'downloads',
            'name'       => 'downloads',
            'controller' => 'DownloadsController',
        ],

        'files' => [
            'Download'                            => ['stub' => 'model.stub',          'path' => 'app/Models',                    'extension' => '.php'],
            'DownloadCategory'                    => ['stub' => 'model-category.stub',          'path' => 'app/Models',                    'extension' => '.php'],
            'DownloadRepository'                  => ['stub' => 'repository.stub',     'path' => 'app/Repositories',              'extension' => '.php'],
            'DownloadCategoryRepository'          => ['stub' => 'repository-category.stub',     'path' => 'app/Repositories',              'extension' => '.php'],
            'DownloadsController'                 => ['stub' => 'controller.stub',     'path' => 'app/Http/Controllers/Manager',  'extension' => '.php'],
            'DownloadSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests',             'extension' => '.php'],
            'DownloadPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters',             'extension' => '.php'],
            'index.blade'                         => ['stub' => 'view-index.stub',     'path' => 'resources/views/manager/downloads', 'extension' => '.php'],
            'create.blade'                        => ['stub' => 'view-create.stub',    'path' => 'resources/views/manager/downloads', 'extension' => '.php'],
            'edit.blade'                          => ['stub' => 'view-edit.stub',      'path' => 'resources/views/manager/downloads', 'extension' => '.php'],
            'fields.blade'                        => ['stub' => 'view-fields.stub',    'path' => 'resources/views/manager/downloads', 'extension' => '.php'],
            '{{datetime}}_create_downloads_table' => ['stub' => 'migration.stub',      'path' => 'database/migrations',           'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de eventos
    |--------------------------------------------------------------------------
    */
    'events' => [
        'title'       => 'Eventos',
        'description' => 'Cadastro de eventos',
        'obs'         => 'Não esqueça de configurar as mídias no arquivos de configuração <info>manager-medias.php</info>',

        'route' => [
            'url'        => 'eventos',
            'name'       => 'events',
            'controller' => 'EventsController',
        ],

        'files' => [
            'Event'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'EventDate'                        => ['stub' => 'model-dates.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'EventCollection'                  => ['stub' => 'collection.stub', 'path' => 'app/Collections', 'extension' => '.php'],
            'EventDateCollection'              => ['stub' => 'collection-dates.stub', 'path' => 'app/Collections', 'extension' => '.php'],
            'EventRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'EventsController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'EventSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'EventPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                      => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/events', 'extension' => '.php'],
            'create.blade'                     => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/events', 'extension' => '.php'],
            'edit.blade'                       => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/events', 'extension' => '.php'],
            'fields.blade'                     => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/events', 'extension' => '.php'],
            'form'                             => ['stub' => 'formjs.stub', 'path' => 'resources/assets/javascript/manager/events', 'extension' => '.js'],
            '{{datetime}}_create_events_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de banners
    |--------------------------------------------------------------------------
    */
   'banners' => [
        'title'       => 'Banners',
        'description' => 'Cadastro de banners',
        'obs'         => 'Não esqueça de configurar as mídias no arquivos de configuração <info>manager-medias.php</info>',

        'route' => [
            'url'        => 'banners',
            'name'       => 'banners',
            'controller' => 'BannersController',
        ],

        'files' => [
            'Banner'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'BannerRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'BannersController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'BannerSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'BannerPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                       => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/banners', 'extension' => '.php'],
            'create.blade'                      => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/banners', 'extension' => '.php'],
            'edit.blade'                        => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/banners', 'extension' => '.php'],
            'fields.blade'                      => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/banners', 'extension' => '.php'],
            '{{datetime}}_create_banners_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de categorias
    |--------------------------------------------------------------------------
    */
   'categories' => [
        'title'       => 'Categorias',
        'description' => 'Cadastro de categorias',

        'route' => [
            'url'        => 'categorias',
            'name'       => 'categories',
            'controller' => 'CategoriesController',
        ],

        'files' => [
            'Category'                             => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'CategoryRepository'                   => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'CategoriesController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'CategorySaveRequest'                  => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'CategoryPresenter'                    => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                          => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/categories', 'extension' => '.php'],
            'create.blade'                         => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/categories', 'extension' => '.php'],
            'edit.blade'                           => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/categories', 'extension' => '.php'],
            'fields.blade'                         => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/categories', 'extension' => '.php'],
            '{{datetime}}_create_categories_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de produtos
    |--------------------------------------------------------------------------
    */
   'products' => [
        'title'       => 'Produtos',
        'description' => 'Cadastro de produtos',
        'obs'         => 'Não esqueça de configurar as mídias no arquivos de configuração <info>manager-medias.php</info>',

        'route' => [
            'url'        => 'produtos',
            'name'       => 'products',
            'controller' => 'ProductsController',
        ],

        'files' => [
            'Product'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'ProductRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'ProductsController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'ProductSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'ProductPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                        => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/products', 'extension' => '.php'],
            'create.blade'                       => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/products', 'extension' => '.php'],
            'edit.blade'                         => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/products', 'extension' => '.php'],
            'fields.blade'                       => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/products', 'extension' => '.php'],
            '{{datetime}}_create_products_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | CRUD para cadastro de parceiros
    |--------------------------------------------------------------------------
    */
   'partners' => [
        'title'       => 'Parceiros',
        'description' => 'Cadastro de parceiros',
        'obs'         => 'Não esqueça de configurar as mídias no arquivos de configuração <info>manager-medias.php</info>',

        'route' => [
            'url'        => 'parceiros',
            'name'       => 'partners',
            'controller' => 'PartnersController',
        ],

        'files' => [
            'Partner'                            => ['stub' => 'model.stub', 'path' => 'app/Models', 'extension' => '.php'],
            'PartnerRepository'                  => ['stub' => 'repository.stub', 'path' => 'app/Repositories', 'extension' => '.php'],
            'PartnersController'                 => ['stub' => 'controller.stub', 'path' => 'app/Http/Controllers/Manager', 'extension' => '.php'],
            'PartnerSaveRequest'                 => ['stub' => 'request.stub',  'path' => 'app/Http/Requests', 'extension' => '.php'],
            'PartnerPresenter'                   => ['stub' => 'presenter.stub',  'path' => 'app/Presenters', 'extension' => '.php'],
            'index.blade'                       => ['stub' => 'view-index.stub', 'path' => 'resources/views/manager/partners', 'extension' => '.php'],
            'create.blade'                      => ['stub' => 'view-create.stub', 'path' => 'resources/views/manager/partners', 'extension' => '.php'],
            'edit.blade'                        => ['stub' => 'view-edit.stub', 'path' => 'resources/views/manager/partners', 'extension' => '.php'],
            'fields.blade'                      => ['stub' => 'view-fields.stub', 'path' => 'resources/views/manager/partners', 'extension' => '.php'],
            '{{datetime}}_create_partners_table' => ['stub' => 'migration.stub', 'path' => 'database/migrations', 'extension' => '.php'],
        ],
    ],
];
