<?php

namespace EscapeWork\Manager\Jobs\Users;

use EscapeWork\Manager\Jobs\Job;
use EscapeWork\Manager\Models\User;
use EscapeWork\Manager\Extensions\Auth\Guard;

use Illuminate\Contracts\Bus\SelfHandling;

class PasswordUpdateJob extends Job implements SelfHandling
{

    /**
     * @var strong
     */
    protected $password;

    public function __construct($password)
    {
        $this->password = $password;
    }

    /**
     * Execute the command.
     *
     * @return void
     */
    public function handle(Guard $auth)
    {
        $user = $auth->user();

        $user->password = $this->password;
        $user->save();
    }
}
